mime Namespace Reference

This module provides a "defang" function to replace naughty attachments. More...

## Classes

class | _defang
class | MimeGenerator
| Fix multipart handling in email.Generator. More...
class | MimeMessage
| Enhance email.Message. More...

## Functions

def | zipnames (txt)
| Return a list of filenames in a zip file. More...
def | unquote (s)
def | _unquotevalue (value)
def | message_from_file (fp)
def | check_ext (name)
def | check_name
def | check_attachments (msg, check)

## Variables

string | extlist = ''
tuple | bad_extensions = map(lambda x:'.' + x,extlist.split(','))
string | virus_msg
tuple | defang = _defang()
tuple | declname = re.compile(r'[a-zA-Z][-_.a-zA-Z0-9]*\s*')

## Detailed Description

This module provides a "defang" function to replace naughty attachments.

We also provide workarounds for bugs in the email module that comes with python. The "bugs" fixed mostly come up only with malformed messages - but that is what you have when dealing with spam.

## Function Documentation

def mime.check_attachments | ( |  | msg,
|  |  | check
| ) |  |

    Scan attachments.
    msg     MimeMessage
    check   function(MimeMessage): int
          Return CONTINUE, REJECT, ACCEPT

Referenced by mime._defang.__call__().

def mime.unquote | ( |  | s | ) |

    Remove quotes from a string.

def mime.zipnames | ( |  | txt | ) |

Return a list of filenames in a zip file.

Embedded zip files are recursively expanded.

Referenced by mime.MimeMessage.getnames().

## Variable Documentation

string mime.virus_msg

Initial value:
= """This message appeared to contain a virus.
It was originally named '%s', and has been removed.
A copy of your original message was saved as '%s:%s'.
See your administrator.
"""